Chat now with support
Chat mit Support

Foglight for Databases 7.1.0 - Release Notes

Third-party known issues

Third-party known issues

The following is a list of third party issues known to exist at the time of this release. For a list of third-party issues related to the Foglight Agent Manager at the time of the Foglight 7.1.0 release, see the Foglight Agent Manager 7.1.0 Release Notes.

Defect ID

Known Issue

FGL-5691

The Foglight Management Server generates an "Unable to load Java VM shared library to start JVM" message when attempting to start the Management Server on a Red Hat Enterprise Linux Server 5.0 VMware machine.

This is caused by the SELinux security code on newer RedHat systems. There are two workarounds:

  • Enter the following command (as root):

    chcon -t textrel_shlib_t <foglight_home>/jre/lib/i386/server/libjvm.so
     

  • Disable SELinux on the system in question.

This issue is addressed in the Sun JDK 1.6.0 release notes:
http://www.oracle.com/technetwork/java/javase/6u4-140071.html
Bug: 6538311
This bug affects both Foglight Management Server executables (fms and fmsha).

FGL-3677

Installation: Console Mode. Returning to a previous step in the installation process after being prompted for a user password, the input is not recognized.
During a console mode install, it is possible to return to the previous step by typing "back" and then pressing the Enter key. If done while the installer is asking the user to enter a password, all subsequent user inputs are automatically changed to asterisk symbols (*) and are unreadable by the console.
Workaround: Type quit and reinstall again.

FGL-2882

Installation: Console Mode. Some characters of the Administrator's password are not hidden if typed too quickly.
This issue has been observed when installing Foglight on some older machines.
Workaround: Avoid typing the password fast.

WCF-9735

When typing words containing "ss" in the online help search, a null pointer exception is generated.
This is a known issue for applications that use Oracle's default implementation of the Java Help Search functionality.

 


Upgrade and compatibility

Upgrade and compatibility

Important:

  • Upgrade to version 7.1.0 directly is supported from version 6.1.0 or 6.3.0. To upgrade from earlier versions, follow the path to first upgrade to one of the supported platforms.
  • To upgrade from a 5.5.x Management Server to 5.7.1 or later, you must first upgrade to 5.6.2 (or a more recent 5.6.x version), and then to 5.7.1 or later.
  • To upgrade from a 5.6.11 Management Server to 5.7.5.x, you must first upgrade to 5.7.1, and then to 5.7.5.x.
  • To upgrade from a 5.7.5.x Management Server to 6.1.x, you must first upgrade to 5.7.5.8, and then to 6.1.x.
  • Foglight Management Server (5.7.0 to 5.7.5.8) no longer supports authentication of Federation actions (such as clearing alarms) without specifying a secure token in the federation.config file. Previously configured installations in which Federated Master and Children were authenticated without a security token no longer allow authenticated actions. For more information, see the Federation Field Guide.
  • In the 5.9.x release, configuration of SecurityToken in the federation.config file (adopted from Foglight 5.7.0 to 5.7.5.8) was removed. Therefore, configuring an SSL for Federation is required when you upgrade the Federation environment to release 6.1.x from a release prior to 5.9.x, if your Federation environment configures SecurityToken before. For more information, see the Federation Field Guide.
  • To upgrade from 5.9.8 FMS + 5.9.7.20 db cartridge to Management Server to 7.x release, you must first upgrade the cartridge to 5.9.7.24, and then to 7.x. This is true for SQL Server, Oracle and DB2 cartridges

See the Foglight 7.1.x Upgrade Guide for information about upgrading Foglight and for a list of the latest cartridge versions that are compatible with Foglight Management Server 7.1.x.

 


System requirements

System requirements

For information about system requirements for this release, see the Foglight 7.1.0 System Requirements and Platform Support Guide.

Final platform support notice

Support of Foglight Agent Manager (FglAM) on AIX, Sun Solaris, and HP-UX platforms has been discontinued on this release (7.1). FglAM installers are only provided for Windows and Linux platforms.


Final platform support notice

System requirements

For information about system requirements for this release, see the Foglight 7.1.0 System Requirements and Platform Support Guide.

Final platform support notice

Support of Foglight Agent Manager (FglAM) on AIX, Sun Solaris, and HP-UX platforms has been discontinued on this release (7.1). FglAM installers are only provided for Windows and Linux platforms.


Verwandte Dokumente

The document was helpful.

Bewertung auswählen

I easily found the information I needed.

Bewertung auswählen